Update Location
curl --request POST \
--url https://api.velt.dev/v1/organizations/documents/locations/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"apiKey": "<string>",
"authToken": "<string>",
"organizationId": "<string>",
"documentId": "<string>",
"migrate": {
"oldLocation": {},
"newLocation": {}
},
"merge": true
}
}
'import requests
url = "https://api.velt.dev/v1/organizations/documents/locations/update"
payload = { "data": {
"apiKey": "<string>",
"authToken": "<string>",
"organizationId": "<string>",
"documentId": "<string>",
"migrate": {
"oldLocation": {},
"newLocation": {}
},
"merge": True
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
apiKey: '<string>',
authToken: '<string>',
organizationId: '<string>',
documentId: '<string>',
migrate: {oldLocation: {}, newLocation: {}},
merge: true
}
})
};
fetch('https://api.velt.dev/v1/organizations/documents/locations/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Location updated.",
"data": null
}
}
Update location (v1)
Update a Velt location’s metadata within a document using the v1 REST API. Modify location names, custom fields, and other properties.
POST
/
v1
/
organizations
/
documents
/
locations
/
update
Update Location
Use this API to update a Location’s metadata.
Endpoint
POST https://api.velt.dev/v1/organizations/documents/locations/update
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Your API key
Your Auth Token
Organization ID. Provide the organizationId if you are using Organizations feature.
Document ID
When true, merges new location fields with existing ones. When false, completely replaces the old location object.
Default: false
Example Request
{
"data": {
"apiKey": "YOUR_API_KEY",
"authToken": "YOUR_AUTH_TOKEN",
"documentId": "YOUR_DOCUMENT_ID",
"migrate": {
"oldLocation": {
"id": "scene_1",
"locationName": "Untitled scene"
},
"newLocation": {
"id": "scene_1",
"locationName": "White scene"
}
},
"merge": true
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Location updated.",
"data": null
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Location updated.",
"data": null
}
}
Was this page helpful?
⌘I

